Avro C#

Public Member Functions | List of all members
Avro.IO.Parsing.Parser.IActionHandler Interface Reference

The parser knows how to handle the terminal and non-terminal symbols. But it needs help from outside to handle implicit and explicit actions. The clients implement this interface to provide this help. More...

Inheritance diagram for Avro.IO.Parsing.Parser.IActionHandler:

## Public Member Functions
Symbol | DoAction (Symbol input, Symbol top)
| Handle the action symbol `top` when the `input` is sought to be taken off the stack. More...

## Detailed Description

The parser knows how to handle the terminal and non-terminal symbols. But it needs help from outside to handle implicit and explicit actions. The clients implement this interface to provide this help.

## Member Function Documentation

## ◆ DoAction()

Symbol Avro.IO.Parsing.Parser.IActionHandler.DoAction | ( | Symbol | input,
|  | Symbol | top
| ) |  |

Handle the action symbol `top` when the `input` is sought to be taken off the stack.

Parameters

  input | The input symbol from the caller of Advance
  top | The symbol at the top the stack.

Returns
  `null` if Advance() is to continue processing the stack. If not `null` the return value will be returned by Advance().

Implemented in Avro.IO.JsonDecoder, Avro.IO.JsonEncoder, and Avro.IO.ParsingDecoder.

The documentation for this interface was generated from the following file:

- src/apache/main/IO/Parsing/Parser.cs